# resize

return type | undefined
syntax | .geomap( "resize" )

usage

    $("#map").geomap( "resize" )

This method tells the geomap widget to recalculate its frame and adjust its bbox to fit a new size. The map will maintain its center point and pixel size and expand or contract to fill the new surroundings.

The geomap widget watches the browser window for you. If your map widget's div position is related to the window in some way, geomap will automatically resize to fit when the window size changes. If the map widget's div is not related to the window and you manually change its size, you need to call resize so that the map can adjust.

This method refreshes the map.